<script setup>
import Header from "@/Components/Header.vue";
import Footer from "@/Components/Footer.vue";
import FooterMobile from "@/Components/FooterMobile.vue";
import Modals from '@/Components/Modals.vue';
import {UseAppStore} from "@/Stores/AppStore";
import BackMobile from "@/Components/Items/Auth/BackMobile.vue";
import MobileBack from "@/Components/Layouts/MobileBack.vue";

const AppStore = UseAppStore();


</script>

<template>
    <body :class="AppStore.themeSite">
        <Header/>
        <main class="main">
            <MobileBack/>
<!--            <BackMobile :backMobile="backMobile"/>-->
            <slot/>
        </main>
        <Footer/>
        <FooterMobile/>
        <Modals/>
    </body>
</template>
